Summary:	Python bindings generator for C++ class libraries
Summary(pl.UTF-8):	Generator powiązań Pythona z bibliotekami klas C++
Name:		sip
Version:	4.14.2
Release:	1
Epoch:		2
License:	SIP (redistributable, see LICENSE) or GPL v2 or GPL v3
Group:		Development/Languages/Python
Source0:	http://downloads.sourceforge.net/pyqt/sip-%{version}.tar.gz
# Source0-md5:	b93442e745b3be2fad89de0686a76ce9
URL:		http://www.riverbankcomputing.com/software/sip/
BuildRequires:	libstdc++-devel
BuildRequires:	python-devel >= 2.3
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.167
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sipfilesdir	%{_datadir}/sip

%description
Generates Python bindings for C++ class libraries from a set of class
specification files. It supports Python v2 and v3.

%description -l pl.UTF-8
Generuje powiązania Pythona z bibliotekami klas C++ ze zbioru plików
ze specyfikacjami klas. Obsługiwany jest Python 2 i 3.

%package -n python-sip
Summary:	Python module needed by generated bindings
Summary(pl.UTF-8):	Moduł Pythona wymagany przez wygenerowane powiązania
Group:		Libraries/Python
%pyrequires_eq	python-libs

%description -n python-sip
Generates Python bindings for C++ class libraries from a set of class
specification files. This package includes runtime library needed by
all generated bindings.

%description -n python-sip -l pl.UTF-8
Generuje powiązania Pythona z bibliotekami klas C++ ze zbioru plików
ze specyfikacjami klas. Ten pakiet zawiera bibliotekę potrzebną do
uruchomienia wszystkich wygenerowanych powiązań.

%package -n python-sip-devel
Summary:	Development files needed to build bindings
Summary(pl.UTF-8):	Pliki programistyczne potrzebne do budowania powiązań
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	python-devel >= 2.3
%pyrequires_eq	python-libs

%description -n python-sip-devel
Development files needed to build bindings for C++ classes.

%description -n python-sip-devel -l pl.UTF-8
Pliki programistyczne potrzebne do budowania powiązań z klasami C++.

%prep
%setup -q

%build
# configure.py notes:
# - macros overrides must be last
# - cannot pass CXXFLAGS+="%{rpmcflags}" or so - builtin -O2 overrides rpmcflags
%{__python} configure.py \
	-b %{_bindir} \
	-e %{py_incdir} \
	-v %{_sipfilesdir} \
	-d %{py_sitedir} \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	CFLAGS="%{rpmcflags} %{rpmcppflags}" \
	CXXFLAGS="%{rpmcxxflags} %{rpmcppflags}" \
	LINK="%{__cxx}" \
	LINK_SHLIB="%{__cxx}"

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sipfilesdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE NEWS README doc/html
%attr(755,root,root) %{_bindir}/sip

%files -n python-sip
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/sip.so
%dir %{_sipfilesdir}

%files -n python-sip-devel
%defattr(644,root,root,755)
%{py_sitedir}/sipconfig.py
%{py_sitedir}/sipconfig.py[co]
%{py_sitedir}/sipdistutils.py
%{py_sitedir}/sipdistutils.py[co]
%{py_incdir}/sip.h
%changelog
* Sun Dec 09 2012 Karol Krenski <charles@pld-linux.org> 2df49f7
- up to 4.14.2

* Sun Oct 14 2012 Jakub Bogusz <qboosh@pld-linux.org> 1c28206
- updated to 4.14; new Source0 URL

* Sun Jun 24 2012 Jakub Bogusz <qboosh@pld-linux.org> 3e2f755
- use __python macro

* Sat Jun 23 2012 Jakub Bogusz <qboosh@pld-linux.org> 58b54ce
- updated to 4.13.3

* Sat Feb 18 2012 Jakub Bogusz <qboosh@pld-linux.org> b1304e3
- updated to 4.13.2

* Mon Dec 26 2011 Jakub Bogusz <qboosh@pld-linux.org> 9814162
- updated to 4.13.1

* Sun Oct 30 2011 Jakub Bogusz <qboosh@pld-linux.org> f2b32c0
- updated to 4.13
- really package *.py[co]

* Wed Aug 03 2011 Jakub Bogusz <qboosh@pld-linux.org> 1075dbe
- updated to 4.12.4

* Thu Jun 23 2011 Jakub Bogusz <qboosh@pld-linux.org> a79f66c
- updated to 4.12.3

* Sat Jun 18 2011 Jakub Bogusz <qboosh@pld-linux.org> 7048cca
- more verbose files
- package sip*.py[co] to ensure sane permissions and stable existence

* Mon Jan 24 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 4ef208b
- up to 4.12.1

* Sat Dec 25 2010 Robert Tomasik <rotom@pld-linux.org> f52b964
- 4.12

* Thu Nov 04 2010 shadzik <shadzik@pld-linux.org> 31f3421
- rel 2

* Sat Oct 23 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 4bb7e7a
- up to 4.22.1

* Wed Sep 22 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 751a9b2
- up to 4.11.1

* Thu Jul 29 2010 witekfl <witekfl@pld-linux.org> cb73a0e
- up to 4.10.5

* Tue Jul 13 2010 Mateusz Korniak <matkor@pld-linux.org> 6818663
- Version 4.10.3-1.

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> da33472
- release 2

* Wed Apr 21 2010 Mateusz Korniak <matkor@pld-linux.org> 5d718ea
- Version 4.10.2-1.

* Sat Mar 20 2010 Karol Krenski <charles@pld-linux.org> be2cba0
- updated md5

